# Class RxapAuthenticationService

#### Implements

- IAuthenticationService

- Defined in lib/authentication.service.ts:31

#####
Index

### Constructors

constructor

### Properties

_authenticated
events$
isAuthenticated$

### Methods

isAuthenticated
signOut

## Constructors

### constructor

- new RxapAuthenticationService(): RxapAuthenticationService

- #### Returns RxapAuthenticationService

  - Defined in lib/authentication.service.ts:39

## Properties

### `Private` _authenticated

_authenticated: boolean = ...

- Defined in lib/authentication.service.ts:37

### `Readonly` events$

events$: ReplaySubject<AuthenticationEvent> = ...

Implementation of IAuthenticationService.events$

- Defined in lib/authentication.service.ts:35

### isAuthenticated$

isAuthenticated$: BehaviorSubject<null | boolean> = ...

Implementation of IAuthenticationService.isAuthenticated$

- Defined in lib/authentication.service.ts:33

## Methods

### isAuthenticated

- isAuthenticated(): Promise<boolean>

- #### Returns Promise<boolean>

  Implementation of IAuthenticationService.isAuthenticated

  - Defined in lib/authentication.service.ts:49

### signOut

- signOut(): Promise<void>

- #### Returns Promise<void>

  Implementation of IAuthenticationService.signOut

  - Defined in lib/authentication.service.ts:43